FROM debian:trixie-slim

RUN apt-get update \
	&& apt-get install -y --no-install-recommends nginx ca-certificates wget \
	&& rm -rf /var/lib/apt/lists/*

COPY nginx.conf /etc/nginx/conf.d/default.conf

EXPOSE 5000
CMD ["nginx", "-g", "daemon off;"]
